Bug 442884 - DSN not working
Summary: DSN not working
Status: REOPENED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.20.3
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-24 09:54 UTC by Max
Modified: 2022-08-10 16:59 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.19.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Max 2021-09-24 09:54:57 UTC
SUMMARY
When sending a mail via kontacts kmail and activating DSN ("Auslieferungsbenachrichtigung anfordern") I don't receive a mail with dsn information afterwards even though the mail reaches it's destination. When I use the same email adresses to send and receive in thunderbird, DSN is working fine. Both apps are configured to use imap/smtp.

When activating both MDN and DSN, MDN works fine but DSN doesn't as well.


STEPS TO REPRODUCE
1. Compose new message
2. Activate DSN
3. Send mail

OBSERVED RESULT
No DSN message received.

EXPECTED RESULT
Receive DSN message.

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: Kubuntu 20.04
(available in About System)
KDE Plasma Version: 5.18.5
KDE Frameworks Version: 5.68.0
Qt Version: 5.12.8

ADDITIONAL INFORMATION
Comment 1 Laurent Montel 2021-09-24 11:42:18 UTC
I confirm that it doesn't work.
I will work on it.
Comment 2 Laurent Montel 2021-09-24 17:02:11 UTC
Fixed in 5.19.0
Comment 3 dharman 2022-07-08 10:18:26 UTC
I used Kmail 5.19.3(21.12.3) in Kubuntu 20.04 and DSN was working. 
After a new installation of Kubuntu 22.04 that has Kmail 5.20.3 (22.04.3) it dosn't woks again. 
I think it's a regression bug.
Comment 4 dharman 2022-08-10 13:59:07 UTC
Is there any news about this regression?